%global modulename async

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-async
Version:        2.6.1
Release:        1%{?dist}
Summary:        Higher-order functions and common patterns for asynchronous code

License:        MIT
URL:            https://caolan.github.io/async/
Source0:        https://registry.npmjs.org/async/-/async-2.6.1.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(lodash) >= 4.17.10 with npmlib(lodash) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Higher-order functions and common patterns for asynchronous code

%package 2.6.1
Summary:        Higher-order functions and common patterns for asynchronous code


%description 2.6.1
Higher-order functions and common patterns for asynchronous code

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr all.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr allLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr allSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr any.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr anyLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr anySeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr apply.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr applyEach.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr applyEachSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr asyncify.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr auto.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr autoInject.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bower.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr cargo.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr compose.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr concat.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr concatLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr concatSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr constant.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr detect.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr detectLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr detectSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr dir.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr dist %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr doDuring.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr doUntil.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr doWhilst.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr during.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr each.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr eachLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr eachOf.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr eachOfLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr eachOfSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr eachSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr ensureAsync.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr every.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr everyLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr everySeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr filter.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr filterLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr filterSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr find.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr findLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr findSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr foldl.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr foldr.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr forEach.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr forEachLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr forEachOf.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr forEachOfLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr forEachOfSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr forEachSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr forever.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr groupBy.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr groupByLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr groupBySeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr inject.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr internal %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr log.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr map.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr mapLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr mapSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr mapValues.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr mapValuesLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr mapValuesSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr memoize.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nextTick.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr parallel.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr parallelLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr priorityQueue.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr queue.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr race.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr reduce.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr reduceRight.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr reflect.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr reflectAll.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr reject.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr rejectLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr rejectSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr retry.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr retryable.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr select.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr selectLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr selectSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr seq.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr series.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr setImmediate.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr some.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr someLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr someSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr sortBy.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr timeout.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr times.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr timesLimit.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr timesSeries.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr transform.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tryEach.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr unmemoize.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr until.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr waterfall.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr whilst.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr wrapSync.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.6.1
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Dec 4 2018 npm2srpm <dshea@redhat.com> - 2.6.1-1
- Package automatically generated by npm2srpm
